##
##  mosh.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2016 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         mosh
Summary:      Mobile Secure Shell
URL:          http://mosh.mit.edu/
Vendor:       K. Winstein, A. Kaseorg, Q. Smith, R. Tibbetts, K. McAllister
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Network
License:      GPL
Version:      1.2.6
Release:      20160812

#   package options
%option       with_utempter  yes

#   list of sources
Source0:      http://mosh.mit.edu/mosh-%{version}.tar.gz
Patch0:       mosh.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc, gcc::with_cxx = yes, pkgconfig
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  protobuf, ncurses, zlib
PreReq:       protobuf, ncurses, zlib
%if "%{with_utempter}" == "yes"
BuildPreReq:  libutempter
PreReq:       libutempter
%endif

%description
    Mosh is a remote terminal application that allows roaming, supports
    intermittent connectivity, and provides intelligent local echo and
    line editing of user keystrokes. Mosh is a replacement for SSH. It's
    more robust and responsive, especially over Wi-Fi, cellular, and
    long-distance links.

%track
    prog mosh = {
        version   = %{version}
        url       = http://mosh.mit.edu/
        regex     = mosh-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --enable-compile-warnings=no \
%if "%{with_utempter}" == "yes"
        --with-utempter
%else
        --without-utempter
%endif
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

